<?php

/**
 * Woovie - Joomla Template
 *
 * @package bt_woovie
 * @version 1.1
 * @copyright BonusThemes.com 2009-2010
 * @link http://www.bonusthemes.com/goto/bt_woovie
 */

defined( '_JEXEC' ) or die( 'Restricted access' );

require_once(dirname(__FILE__) . '/template.inc.php');
global $tpl;

$cmenu_css = $tpl->show_menu ? '<link href="' . $tpl->path . '/css/cmenu.css" rel="stylesheet" type="text/css" />' . "\n" : '';
$cmenu_js = $tpl->show_menu ? '<script type="text/javascript" src="' . $tpl->path . '/js/cmenu.js"></script>' . "\n" : '';

$main_tdgap = '<td width="1%" nowrap="nowrap">&nbsp; &nbsp; &nbsp; </td>' . "\n";
$inner_tdgap = '<td width="1%" nowrap="nowrap" class="hgap"> &nbsp; &nbsp; &nbsp; &nbsp; </td>' . "\n";

if ($tpl->show_menu)
	$cmenu_js .= '
<script type="text/javascript">
// <![CDATA[
document["cmenu_items"] = new Array();
' . $tpl->menu_js . '
// ]]>
</script>

';

$slider_js = '';
if ($tpl->modcount('slider')) {
	$slider_path = JPATH_SITE . '/templates/' . $tpl->document->template . '/images/stabs/';
	$slider_images = array();
	if ($dp = opendir($slider_path)) {
		while (false !== ($file = readdir($dp)))
			if ($file != '.' && $file != '..') {
				$ext = strtolower(strrchr($file, '.'));
				if ($ext == '.jpg' || $ext == '.gif' || $ext == '.png' || $ext == '.jpeg')
					$slider_images[] = $file;
			}
		closedir($dp);
		sort($slider_images);
	}

	foreach ($slider_images as $k => $v)
		$slider_images[$k] = 'image' . ($k + 1) . ': "' . json_esc($v) . '"';

	$slider_js .= '
<script type="text/javascript" src="' . $tpl->path . '/js/SlidingTabsWoovie.js"></script>
<script type="text/javascript">
// <![CDATA[
document.stabs_woovie_conf = {
	' . implode(",\n\t", $slider_images) . '
};
document.stabs_woovie_conf.image_prefix = "' . $tpl->path . '/images/stabs/";
// ]]>
</script>
';
}

echo '
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
	"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="' . $this->language . '" lang="' . $this->language . '" >
<head>

<jdoc:include type="head" />

<link href="' . $tpl->path . '/css/layout.css" rel="stylesheet" type="text/css" />
<link href="' . $tpl->path . '/css/template.css" rel="stylesheet" type="text/css" />
' . $cmenu_css . '

<style type="text/css">
.wrapper { width: ' . $tpl->width . 'px; }
body { background-color: ' . ($tpl->undermost_visible ? '#874aa1' : '#d7d7d7') . '; }
</style>

<!--[if lt IE 7]>
<link href="' . $tpl->path . '/css/template_ie6.css" rel="stylesheet" type="text/css" />
<script type="text/javascript">
var blankImg = "' . $tpl->path . '/images/blank.gif";
</script>
<style type="text/css">
.pngfix { behavior: url(' . $tpl->path . '/js/iepngfix.htc); }
.pngfix_static { behavior: url(' . $tpl->path . '/js/iepngfix_static.htc); }
</style>
<![endif]-->

' . $cmenu_js . '

' . $slider_js . '
<script type="text/javascript" src="' . $tpl->path . '/js/template.js"></script>

';

echo '</head>' . "\n";

echo '<body>' . "\n";

if ($tpl->seocp)
	echo
'<div style="display:none">
' . $tpl->get_mainbody_pragma() . '
</div>
';

$mainarea_td_gap = '<td width="10"><img src="' . $tpl->path . '/images/blank.gif" width="10" height="337" alt="" /></td>';

echo '
<div id="wrapper">
';

if ($tpl->modcount('icon') || $tpl->modcount('toolbar')) {
	echo '
	<div id="r1">
		<div id="r1_inner" class="wrapper bg_color">
			<div id="r1_tgap"></div>
			<table cellspacing="0" cellpadding="0" width="100%">
				<tr>
';

	if ($tpl->modcount('icon'))
		echo '
					<td valign="top"' . $tpl->td_width('icon') . '>
' . $tpl->get_position('icon', true, false) . '
					</td>
';

	if ($tpl->modcount('icon') && $tpl->modcount('toolbar'))
		echo $main_tdgap;

	if ($tpl->modcount('toolbar'))
		echo '
					<td valign="top"' . $tpl->td_width('toolbar') . '>
' . $tpl->get_position('toolbar', true, false) . '
					</td>
';

	echo '
				</tr>
			</table>
			<div id="r1_bgap"></div>
		</div>
	</div>
	<div id="r1_down"></div>
';
}

if ($tpl->header_visible || $tpl->modcount('search')) {
	echo '
	<div id="r2">
		<div id="r2_inner" class="wrapper">
			<div id="r2_tgap"></div>
			<table cellspacing="0" cellpadding="0" width="100%">
				<tr>
					<td valign="top"' . $tpl->td_width('header') . '>
';

	if ($tpl->show_menu) {
		echo '
						<table cellspacing="0" cellpadding="0">
							<tr>
';

		for ($i = 0, $len = count($tpl->menu_head_tags); $i < $len; $i++) {
			$mi = &$tpl->menu_head_tags[$i];

			printf(
'								<td class="cmenu_hd_%1$s_l" width="10"><img src="' . $tpl->path . '/images/blank.gif" width="10" height="28" alt="" /></td>
								<td class="cmenu_hd_%1$s_c" id="%2$s">%3$s</td>
								<td class="cmenu_hd_%1$s_r" width="10"><img src="' . $tpl->path . '/images/blank.gif" width="10" height="28" alt="" /></td>
								<td><div class="cmenu_hd_gap"></div></td>
',
				$mi->selection == 0 ? 'norm' : 'sel',
				$mi->head_id,
				$mi->full_link
			);
		}

		echo '
							</tr>
						</table>
';
	}
	else if ($tpl->modcount('header')) {
		echo $tpl->get_position('header', true, false);
	}
	else {
		echo '&nbsp;';
	}
	

	echo '
					</td>
';

	if ($tpl->header_visible && $tpl->modcount('search'))
		echo $main_tdgap;

	if ($tpl->modcount('search'))
		echo '
					<td valign="top"' . $tpl->td_width('search') . '>
' . $tpl->get_position('search', true, false) . '
					</td>
';

	echo '
				</tr>
			</table>
			<div id="r2_bgap"></div>
		</div>
	</div>
	<div id="r2_down"></div>
';
}

if ($tpl->modcount('top1') || $tpl->modcount('top2') || $tpl->modcount('top3') || $tpl->modcount('top4'))
	echo '
	<div id="r3_up"></div>
	<div id="r3">
		<div id="r3_inner" class="wrapper">
			<div id="r3_tgap"></div>
' . $tpl->get_positions(array('top1', 'top2', 'top3', 'top4'), '', false, false, '', $main_tdgap) . '
			<div id="r3_bgap"></div>
		</div>
	</div>
	<div id="r3_down"></div>
';

if ($tpl->modcount('slider')) {
	echo '
	<div id="r4_up"></div>
	<div id="r4">
		<div id="r4_tabs_wide"><div id="r4_tabs" class="wrapper">
			<table cellspacing="0" cellpadding="0" width="100%">
				<tr id="r4_tabs_tr"><td>&nbsp;</td></tr>
			</table>
		</div></div>
		<div id="r4_data_wide"><div id="r4_data" class="wrapper">
			<div id="r4_tgap"></div>
			<table cellspacing="0" cellpadding="0" width="100%">
				<tr id="r4_data_tr"><td>&nbsp;</td></tr>
			</table>
			<div id="r4_bgap"></div>
		</div></div>
	</div>
';
}

if ($tpl->show_body) {
	echo '
	<div id="r5">
		<div id="r5_inner" class="wrapper">
			<div id="r5_tgap"></div>
';

	if ($tpl->modcount('newsflash'))
		echo $tpl->get_position('newsflash', true, true) . '
<div class="vgap_div"></div>
';

	if ($tpl->modcount('news1') || $tpl->modcount('news2') || $tpl->modcount('news3'))
		echo $tpl->get_positions(array('news1', 'news2', 'news3'), 'spacer1', true, false, '', $inner_tdgap) . '
<div class="vgap_div"></div>
';

	if ($tpl->modcount('breadcrumb'))
		echo '
<table id="pathway">
	<tr>
		<td>
			<a class="pathway_home" href="' . $tpl->get_home() . '" onfocus="blur()"><img src="' . $tpl->path . '/images/layout/home.gif" alt="Home" title="Home" border="0" width="36" height="36" id="pathway_home" align="left" /></a>
		</td>
		<td>
' . $tpl->get_pathway() . '
		</td>
	</tr>
</table>
';

	if ($tpl->modcount('left') || $tpl->modcount('right')) {
		echo '
			<table cellspacing="0" cellpadding="0" width="100%">
				<tr>
';

		if ($tpl->modcount('left'))
			echo '
					<td valign="top"' . $tpl->td_width('left', true) . '>
' . $tpl->get_position('left') . '
					</td>
					' . $main_tdgap . '
';

		echo '
					<td valign="top">
';
	}

	if (JRequest::getCmd('option') != 'com_content')
		echo
'<div id="woovie_content_wrapper" class="mstyle_x_c"><div class="mstyle_x_l"><div class="mstyle_x_r">
	<div class="mstyle_dup_c"><div class="mstyle_dup_l"><div class="mstyle_dup_r"></div></div></div>
	<div class="mstyle_tgap"></div>
	<div class="mstyle_inner">
';

	echo $tpl->get_message() . '
' . $tpl->get_mainbody_wrapper();

	if (JRequest::getCmd('option') != 'com_content')
		echo
'	</div>
	<div class="mstyle_bgap"></div>
	<div class="mstyle_d_c"><div class="mstyle_d_l"><div class="mstyle_d_r"></div></div></div>
</div></div></div>
';

	if ($tpl->modcount('left') || $tpl->modcount('right')) {
		echo '
					</td>
';

		if ($tpl->modcount('right'))
			echo '
					' . $main_tdgap . '
					<td valign="top"' . $tpl->td_width('right', true) . '>
' . $tpl->get_position('right') . '
					</td>
';

		echo '
				</tr>
			</table>
';
	}

	if ($tpl->modcount('notice1') || $tpl->modcount('notice2') || $tpl->modcount('notice3'))
		echo
'<div class="vgap_div"></div>
' . $tpl->get_positions(array('notice1', 'notice2', 'notice3'), 'spacer2', false, false, '', $inner_tdgap);

	if ($tpl->modcount('banner'))
		echo
'<div class="vgap_div"></div>
' . $tpl->get_position('banner', true, true);

	echo
'			<div id="r5_bgap"></div>
		</div>
	</div>
';
}

if ($tpl->modcount('bottom1') || $tpl->modcount('bottom2') || $tpl->modcount('bottom3') || $tpl->modcount('bottom4'))
	echo '
	<div id="r6">
		<div id="r6_inner" class="wrapper">
			<div id="r6_tgap"></div>
' . $tpl->get_positions(array('bottom1', 'bottom2', 'bottom3', 'bottom4'), '', false, false, '', $main_tdgap) . '
			<div id="r6_bgap"></div>
		</div>
	</div>
	<div id="r6_down"></div>
';

if ($tpl->footer_visible) {
	echo '
	<div id="r7">
		<div id="r7_inner" class="wrapper">
			<div id="r7_tgap"></div>
			<table cellspacing="0" cellpadding="0" width="100%">
				<tr>
';

if ($tpl->lshow)
	echo '
					<td width="42" valign="top" style="padding-top:0px;"><a id="lshow" href="http://www.bonusthemes.com" onfocus="blur()" target="_blank"><img src="' . $tpl->path . '/images/layout/btlogo.gif" border="0" alt="" /></a></td>
					<td width="10" class="hgap">&nbsp;</td>
';

	echo '
					<td>
' . $tpl->get_position('footer', false, false) . '
					</td>
					<td width="10" class="hgap">&nbsp;</td>
					<td width="42" valign="top" align="right" style="padding-top:0px;"><a href="javascript:void(0)" onfocus="blur()" onclick="goto_top()"><img src="' . $tpl->path . '/images/layout/goto_top.gif" alt="Top" border="0" /></a></td>
				</tr>
			</table>
			<div id="r7_bgap"></div>
		</div>
	</div>
';
}

if ($tpl->undermost_visible)
	echo '
	<div id="r8">
		<div id="r8_inner" class="wrapper bg_color">
			<div id="r8_tgap"></div>

' . $tpl->get_positions(array('undermost1', 'undermost2', 'undermost3'), '', true, false, '', $main_tdgap) . '

			<div id="r8_bgap"></div>
		</div>
	</div>
';

echo '
</div>
';

if ($tpl->seocp)
	echo '
<script type="text/javascript">
// <![CDATA[

// position mainbody
document.getElementById("mainbody_area").appendChild(document.getElementById("mainbody"));

// ]]>
</script>
';

foreach (array('slider', 'aux1', 'aux2', 'aux3', 'aux4', 'aux5') as $position)
	echo $tpl->get_hidden_position($position);

echo $tpl->get_debug();

echo '
</body>
</html>
';

?>